Get all workflow communication items

get

/fscmRestApi/resources/11.13.18.05/publicSectorWorkflowCommunicationsWithoutTransients

Request

Query Parameters
  • When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
  • This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.

    Format: ?fields=Attribute1,Attribute2

    Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2
  • Used as a predefined finder to search the collection.

    Format: ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>

    The following are the available finder names and corresponding finder variables:

    • PrimaryKey: Finds workflow communication data with the specified record key.
      Finder Variables:
      • LnpRecordKey; integer; The unique identifier for the record key.
    • findByBRFCriteria: Finds workflow communication data that meets the specified criteria.
      Finder Variables:
      • Caller; string.
      • Criteria; string.
  • This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
  • This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>

    Example:
    self,canonical
  • Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
  • The resource item payload will be filtered in order to contain only data (no links section, for example).
  • This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
  • This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY

    Format: ?q=expression1;expression2

    You can use these queryable attributes to filter this collection resource using the q query parameter:
    • AboutToExpireDate; string; The date an expiring license/permit notification is sent.
    • AddressKey; integer; The parcel address key.
    • AgencyId; integer; The identifier of a public-sector agency (typically an alphanumeric ID for a city, county, or state, but it may also be the agency name).
    • AppAcceptDate; string; The accepted date for the permit application.
    • ApplAteDate; string; The date an about-to-expire notification is sent for the permit application.
    • ApplExpirationDate; string; The application expiration date.
    • Applicant; integer; The party ID of the permit applicant.
    • ApplicantAddress1; string; Address line 1 for the permit applicant.
    • ApplicantAddress2; string; Address line 2 for the permit applicant.
    • ApplicantBizProfileId; integer; The business profile used by the applicant.
    • ApplicantCity; string; The city in the permit applicant address.
    • ApplicantCountry; string; The country in the permit applicant address.
    • ApplicantCounty; string; The county in the permit applicant address.
    • ApplicantEmailAddress1; string; The permit applicant???s primary email address.
    • ApplicantEmailAddress2; string; The permit applicant???s secondary email address.
    • ApplicantPersonName; string; The permit applicant name.
    • ApplicantPhoneAreaCode; string; The area code for the permit applicant???s phone number.
    • ApplicantPhoneCountryCode; string; The country code for the permit applicant???s phone number.
    • ApplicantPhoneExtension; string; The phone extension for the permit applicant.
    • ApplicantPhoneNumber; string; The permit applicant phone number.
    • ApplicantPostalCode; string; The postal code in the permit applicant address.
    • ApplicantProfileId; integer; The applicant???s user profile.
    • ApplicantProvince; string; The province in the permit applicant address.
    • ApplicantState; string; The state in the permit applicant address.
    • BalanceDue; number; The total fee balance due for the permit application.
    • CancelledCreatedBy; string; The user ID of the person who canceled the permit application.
    • CancelledCreationDate; string; The cancellation date of the permit application.
    • CancelledReason; string; The reason for canceling the permit application.
    • Classification; string; The record classification (permit, business license, professional license, or planning and zoning).
    • ClassificationMeaning; string; The classification of the permit application type.
    • CreatedBy; string; The user ID of the person who created the permit application.
    • CreationDate; string; The date the permit application was created.
    • CurrencyCode; string; The currency code.
    • DelinquentDate; string; The date the license becomes delinquent.
    • DistrictName; string; The district name where the property is located.
    • ExpirationDate; string; The date the license or permit is no longer valid.
    • ExpirationGraceDate; string; The expiration grace date for the permit application.
    • ExpirationStatus; string; The expiration status of the permit application.
    • FeeDueUpdateDate; string; The identifier that records the date when a due-status fee item is added or updated.
    • GenFloorAreaAddl; number; The additional floor area for construction (square footage of the construction area; used in the Construction Information component of the Permit Designer).
    • GenFloorAreaExist; number; The area of existing floor space in the building (used in the Construction Information component of the Permit Designer).
    • GenFloorAreaTotal; number; The total floor area under construction (used in the Construction Information component of the Permit Designer).
    • GenJobCost; number; The construction job cost (used in the Construction Information component of the Permit Designer).
    • GenNewFloorAreaClass; string; The classification of the new floor area (used in the Construction Information component of the Permit Designer).
    • GenTotalNumStories; number; The total number of stories in the structure under construction (used in the Construction Information component of the Permit Designer).
    • GenTypeConstruction; string; The construction type (used in the Construction Information component of the Permit Designer).
    • GenTypeOfUse; string; The intended use of the construction (used in the Construction Information component of the Permit Designer).
    • GenTypeOfWork; string; The type of construction work (used in the Construction Information component of the Permit Designer).
    • IssueDate; string; The date the license or permit was issued (used in the Application Information component of the Permit Designer).
    • LastAction; string; Indicates the last action performed on the transaction.
    • LastGISSyncDatetime; string; The date and time transaction information was last synchronized to GIS.
    • LastUpdateDate; string; The last updated date of the permit application.
    • LastUpdatedBy; string; The user ID of the person who last updated the permit application.
    • Latitude; number; The property latitude (north/south of the equator).
    • LicenseStatus; string; The overall status of the business license.
    • LnpRecordId; string; The building permit record identifier (for example, Building Permit ID RA-2017-00029).
    • LnpRecordKey; integer; The unique identifier of the record.
    • Longitude; number; The property longitude (east/west of the meridian).
    • OrganizationName; string; The applicant???s business name (for example, a contractor???s business name).
    • Originator; string; The originator of the permit application.
    • Owner; string; The primary (or only) owner of the parcel/property.
    • OwnerEmailId; string; The parcel owner???s email address.
    • OwnerId; integer; The owner ID of the record parcel owner.
    • OwnerKey; integer; The owner key of the record parcel owner.
    • ParcelAddress1; string; Parcel/property address line 1.
    • ParcelAddress2; string; Parcel/property address line 2.
    • ParcelCity; string; The city in the parcel/property address.
    • ParcelCountry; string; The country in the parcel/property address.
    • ParcelCounty; string; The county in the parcel/property address.
    • ParcelId; integer; The identifier of the record parcel.
    • ParcelIdEntered; string; The unique identifier of the parcel retrieved from the map.
    • ParcelKey; integer; The record parcel key.
    • ParcelPostalCode; string; The postal code in the parcel/property address.
    • ParcelProvince; string; The province in the parcel/property address.
    • ParcelState; string; The state in the parcel/property address.
    • ParcelType; string; The current parcel type.
    • Parentclassificationmeaning; string; The classification of the primary application type.
    • Parentfeedueupdate; string; The date the fees due were updated for the primary application.
    • Parentgenjobcost; number; The job cost for the primary application.
    • Parentrecordid; string; The identifier of the primary application.
    • Parentrecordkey; integer; The record ID of the primary application.
    • Parentrecordtype; string; The application type of the primary application.
    • Parentsubclassificationmeaning; string; The subclassification of the primary application type.
    • PermitDescription; string; The description of the permit type.
    • PermitStatus; string; The permit record status.
    • PersonFirstName; string; The applicant???s first name.
    • PersonLastName; string; The applicant???s last name.
    • PersonMiddleName; string; The applicant???s middle name.
    • PersonTitle; string; The contact???s title.
    • PrimaryBalanceDue; number; The balance due for the primary application.
    • PrimaryContactPhonenumber; string; The phone number of the primary contact for the permit application.
    • PrimaryFlag; string; The relationship type indicating the application is a primary application.
    • PrimaryTotalFees; number; The total fees for the primary application.
    • PrimaryTotalOutstanding; number; The total outstanding fee balance for the primary application.
    • PrimaryTotalPaid; number; The total fees paid for the primary application.
    • Primaryapplicationflagmeaning; string; The relationship type indicating the application is a primary application.
    • Primarycontactemail; string; The email address of the primary contact for the permit application.
    • Primarycontactname; string; The primary contact name for the permit application.
    • Primarycontactpartyid; integer; The party ID of the primary contact for the permit application.
    • Primarycontactphoneextension; string; The extension for the primary contact phone number.
    • Primarycontacttype; string; The contact type of the primary contact for the permit application.
    • Primaryissuedate; string; The issue date of the primary application.
    • Primarypermitdescription; string; The description of the primary application.
    • Primarypermitstatus; string; The status of the primary application.
    • Primaryreissuedate; string; The reissue date of the primary application.
    • Primarysystemstatus; string; The system status of the primary application.
    • Primarysystemstatusmeaning; string; The system status of the primary application.
    • ProjectKey; integer; The project name for the permit.
    • PropertyDescription; string; The property description.
    • ReceivedDate; string; The received date for the permit application.
    • RecordStatus; string; The record status.
    • RecordType; string; The permit type (defined by agencies, for example, Residential Addition).
    • RecordTypeId; string; The identifier of the record type.
    • ReissueDate; string; The date the license or permit was reissued (used in the Application Information component of the Permit Designer).
    • RenewalDate; string; The renewal date for the license or permit.
    • RowType; string; The identifier of the record type.
    • SecondaryOwner; string; The secondary owner of the parcel/property.
    • SubapplicationFlag; string; The relationship type indicating the application is a subapplication.
    • Subapplicationflagmeaning; string; The relationship type indicating the application is a subapplication.
    • Subclassification; string; The subclassification code for the permit application type.
    • SubclassificationMeaning; string; The subclassification of the permit application type.
    • SubmitDate; string; The date the permit transaction was submitted (used in the Application Information component of the Permit Designer).
    • SubmittedBy; string; The user ID of the person who submitted the permit application.
    • SystemStastusMeaning; string; The system status description of the permit application.
    • SystemStatus; string; The system status of the permit application.
    • TotalFees; number; The total fees for the permit application.
    • TotalHold; number; The total hold fee amount.
    • TotalOutstanding; number; The total outstanding fee amount.
    • TotalPaid; number; The total fees paid for the permit application.
    • TotalPayable; number; The total payable fees for the permit application.
    • TotalPending; number; The total pending fee amount.
    • TotalWaived; number; The total amount of fees waived.
    • VersionType; string; The version type.
    • VersionTypeDescription; string; The version type description.
    • WfNoOrigFlag; string; Indicates that the transaction type doesn???t include an origination workflow.
    • WithdrawnCreatedBy; string; The user ID of the person who withdrew the permit application.
    • WithdrawnCreatedDate; string; The withdrawal date of the permit application.
    • WithdrawnReason; string; The reason for withdrawing the permit application.
  • The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.

There's no request body for this operation.

Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : publicSectorWorkflowCommunicationsWithoutTransients
Type: object
Show Source
Nested Schema : Items
Type: array
Title: Items
The items in the collection.
Show Source
Nested Schema : publicSectorWorkflowCommunicationsWithoutTransients-item-response
Type: object
Show Source
Back to Top